package org.mbari.seepsearch.ui;

import java.awt.*;
import javax.swing.*;

public class VarsQueryFilterPanel extends JPanel {
    JTextField keyField = new JTextField();
    JLabel lbl1 = new JLabel();

    public VarsQueryFilterPanel() {
        try {
            jbInit();
        }
        catch(Exception ex) {
            ex.printStackTrace();
        }
    }
    void jbInit() throws Exception {
        keyField.setMinimumSize(new Dimension(44, 21));
        keyField.setPreferredSize(new Dimension(200, 21));
        lbl1.setText("Search for ");
        this.add(lbl1, null);
        this.add(keyField, null);

    }

    public String getSearchKey() {
        return keyField.getText();
    }
}